Bug 238801 - Acer Aspire 5610 can't wake up after suspend
Summary: Acer Aspire 5610 can't wake up after suspend
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-02 23:31 UTC by Doncho Gunchev
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-07 15:44:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Doncho Gunchev 2007-05-02 23:31:34 UTC
Description of problem:
My hardware profile is ebf36068-3809-426c-ade0-d0c531b5b402, the laptop is Acer
Aspire 5610 (got it with some strange linux "installed"). With F7t4's kernels
(up to 2.6.21-1.3116.fc7 and 2.6.21-1.3123.fc7) after suspend to ram the machine
does not wake up - the display stays black (Intel 945GM) and the disk led turns
on forever.

Version-Release number of selected component (if applicable):
kernels 2.6.20-2925.5.fc7xen, 2.6.20-1.3104.fc7, 2.6.21-1.3116.fc7 and
2.6.21-1.3123.fc7).

How reproducible:
Every time.

Actual results:
The machine hangs after suspend to ram.

Expected results:
Should resume as it does with FC6.

Additional info:
To get hibernate (suspend to disk) working I had to create this file
(/etc/pm/hooks/11iwlwifi):
--- cut ---
#!/bin/sh
exit 0
case "$1" in
        hibernate|suspend)
                /sbin/lsmod | grep -q iwlwifi || exit 0
                { touch /var/run/iwlwifi && /sbin/modprobe -r iwlwifi ; } \
2>/dev/null
                ;;
        thaw|resume)
                [ -f /var/run/iwlwifi ] || exit 0
                { /sbin/modprobe iwlwifi && rm -f /var/run/iwlwifi \
&& /sbin/service NetworkManager restart ; } 2>/dev/null
                ;;
        *)
                ;;
esac

exit $?
--- cut ---
Once, just once, it did resume after suspend to ram in text console, but the
keyboard acted "strange". When I pressed some special keys I saw the kernel
complaining for unknown keys, but no normal key did anything. Using the mouse
(copy a letter, paste it...) I succesfully rebooted it. Every other attempt
after that just failed with the disk led constantly on (I tried with runlevel 1
too).
Bug #238800 is maybe a related small problem with FC6 and this machine. I have
no problems with the power led with F7t4.

Comment 1 Doncho Gunchev 2007-05-07 04:08:51 UTC
With kernel 2.6.21-1.3141.fc7 I can suspend to disk/ram and resume without
problems - tried 3 times in a row each, hurrah!

iwlwifi got renamed to iwl3945 and still has some problems, but that's another
story. I'll try not to remove the module while suspending and report the results.

Comment 2 Doncho Gunchev 2007-05-07 05:27:55 UTC
Removing the module (iwl3945) before suspend helps (by hand), but sometimes
hangs the machine. Sometimes inserting it also hangs the machine (after remove).
New bug report (this one looks closed)?


Note You need to log in before you can comment on or make changes to this bug.